Enchant Functions
enchant_broker_dict_exists
Enchant Functions
PHP Manual

# enchant_broker_describe

(PHP 5 >= 5.3.0, PECL enchant >= 0.1.0)

enchant_broker_describe — Enumerates the Enchant providers

### Description

array enchant_broker_describe ( resource `$broker` )

Enumerates the Enchant providers and tells you some rudimentary information about them. The same info is provided through phpinfo().

### Parameters

`broker`

  Broker resource

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 List the backends provided by the given broker

`<?php
$r = enchant_broker_init();
$bprovides = enchant_broker_describe($r);
echo "Current broker provides the following backend(s):\n";
print_r($bprovides);
?>`

The above example will output something similar to:

    Current broker provides the following backend(s):
    Array
    (
        [0] => Array
            (
                [name] => aspell
                [desc] => Aspell Provider
                [file] => /usr/lib/enchant/libenchant_aspell.so
            )

        [1] => Array
            (
                [name] => hspell
                [desc] => Hspell Provider
                [file] => /usr/lib/enchant/libenchant_hspell.so
            )

        [2] => Array
            (
                [name] => ispell
                [desc] => Ispell Provider
                [file] => /usr/lib/enchant/libenchant_ispell.so
            )

        [3] => Array
            (
                [name] => myspell
                [desc] => Myspell Provider
                [file] => /usr/lib/enchant/libenchant_myspell.so
            )

    )

Enchant Functions
enchant_broker_dict_exists
Enchant Functions
PHP Manual